libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId > Class Template Reference documentation

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId > Class Template Reference

`#include <IWORKMutableArrayElement.h>`

Inheritance diagram for libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >:

## Public Member Functions
| IWORKMutableArrayElement (IWORKXMLParserState &state, ArrayDict_t &arrayDict, std::deque< Type > &elements)
| IWORKMutableArrayElement (IWORKXMLParserState &state, ArrayDict_t &arrayDict, ContextDict_t &dict, std::deque< Type > &elements)
Public Member Functions inherited from libetonyek::IWORKContainerContext< Type, NestedParser, Collector, Id, 0 >
| IWORKContainerContext (IWORKXMLParserState &state, std::deque< Type > &elements)
| IWORKContainerContext (IWORKXMLParserState &state, Dict_t &dict, std::deque< Type > &elements)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Types
typedef IWORKContainerContext< Type, NestedParser, Collector, Id, RefId > | Super_t
typedef std::unordered_map< ID_t, Type > | ContextDict_t
typedef std::unordered_map< ID_t, std::deque< Type > > | ArrayDict_t

## Private Member Functions
IWORKXMLContextPtr_t | element (const int name) override
void | endOfElement () override

## Private Attributes
ArrayDict_t & | m_arrayDict
std::deque< Type > & | m_elements

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKContainerContext< Type, NestedParser, Collector, Id, 0 >
IWORKXMLContextPtr_t | element (const int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Member Typedef Documentation

## ◆ ArrayDict_t

template<typename Type , class NestedParser , template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

std::unordered_map<ID_t, std::deque<Type> > libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::ArrayDict_t
| private

## ◆ ContextDict_t

template<typename Type , class NestedParser , template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

std::unordered_map<ID_t, Type> libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::ContextDict_t
| private

## ◆ Super_t

template<typename Type , class NestedParser , template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

IWORKContainerContext<Type, NestedParser, Collector, Id, RefId> libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::Super_t
| private

## Constructor & Destructor Documentation

## ◆ IWORKMutableArrayElement() [1/2]

template<typename Type , class NestedParser , template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::IWORKMutableArrayElement | ( | IWORKXMLParserState & | state,
|  | ArrayDict_t & | arrayDict,
|  | std::deque< Type > & | elements )
| inline

## ◆ IWORKMutableArrayElement() [2/2]

template<typename Type , class NestedParser , template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::IWORKMutableArrayElement | ( | IWORKXMLParserState & | state,
|  | ArrayDict_t & | arrayDict,
|  | ContextDict_t & | dict,
|  | std::deque< Type > & | elements )
| inline

## Member Function Documentation

## ◆ element()

template<typename Type , class NestedParser , template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

IWORKXMLContextPtr_t libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::element | ( | const int | name | ) |
| inlineoverrideprivate

## ◆ endOfElement()

template<typename Type , class NestedParser , template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

void libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::endOfElement | ( |  | ) |
| inlineoverrideprivate

## Member Data Documentation

## ◆ m_arrayDict

template<typename Type , class NestedParser , template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

ArrayDict_t& libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::m_arrayDict
| private

Referenced by libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::endOfElement().

## ◆ m_elements

template<typename Type , class NestedParser , template< typename T, class C > class Collector, unsigned Id, unsigned RefId = 0>

std::deque<Type>& libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::m_elements
| private

Referenced by libetonyek::IWORKMutableArrayElement< Type, NestedParser, Collector, Id, RefId >::endOfElement().

The documentation for this class was generated from the following file:

- IWORKMutableArrayElement.h